Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::DoorAccessControl::CardCondition Struct Reference

A condition for specific cards and card readers. More...

`import <DoorAccessControl.idl;`

## Public Attributes
boolean | enabled
| Condition is enabled.
string | cardUid
| Matching card uid.
CardReaderInfo | cardReader
| The card reader that has to be used.

## Detailed Description

A condition for specific cards and card readers.

Definition at line 75 of file DoorAccessControl.idl.

## Member Data Documentation

## ◆ cardReader

CardReaderInfo smartlock::DoorAccessControl::CardCondition::cardReader

The card reader that has to be used.

Definition at line 78 of file DoorAccessControl.idl.

## ◆ cardUid

string smartlock::DoorAccessControl::CardCondition::cardUid

Matching card uid.

Definition at line 77 of file DoorAccessControl.idl.

## ◆ enabled

boolean smartlock::DoorAccessControl::CardCondition::enabled

Condition is enabled.

Definition at line 76 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl